/*
 * CS 246 Final Project
 * File: map.h
 * Purpose: handles map functionality
 */

#ifndef __LAYER_H__
#define __LAYER_H__
#include "constants.h"
#include "display.h"

class layer {
public:
        const layer_num num;

        layer(const layer_num ln): num{ln} {}

        virtual void print() const = 0;
        virtual void print(display &display) const = 0;
};

#endif
